Avro C++

Public Member Functions | Protected Member Functions | List of all members
avro::SeekableInputStream Class Referenceabstract

An InputStream which also supports seeking to a specific offset. More...

`#include <Stream.hh>`

Inheritance diagram for avro::SeekableInputStream:

## Public Member Functions
| ~SeekableInputStream () override=default
| Destructor.
virtual void | seek (int64_t position)=0
| Seek to a specific position in the stream. More...
Public Member Functions inherited from avro::InputStream
virtual | ~InputStream ()=default
| Destructor.
virtual bool | next (const uint8_t **data, size_t *len)=0
| Returns some of available data. More...
virtual void | backup (size_t len)=0
| "Returns" back some of the data to the stream. More...
virtual void | skip (size_t len)=0
| Skips number of bytes specified by len.
virtual size_t | byteCount () const =0
| Returns the number of bytes read from this stream so far. More...

## Protected Member Functions
| SeekableInputStream ()=default
| An empty constructor.
Protected Member Functions inherited from avro::InputStream
| InputStream ()=default
| An empty constructor.

## Detailed Description

An InputStream which also supports seeking to a specific offset.

## Member Function Documentation

## ◆ seek()

virtual void avro::SeekableInputStream::seek | ( | int64_t | position | ) |
| pure virtual

Seek to a specific position in the stream.

This may invalidate pointers returned from next(). This will also reset byteCount() to the given position.

The documentation for this class was generated from the following file:

- api/Stream.hh